#%define        lxx74_cups_version 0.8.4.2
#%define        bigver %(echo %version | cut -d. -f 1-2)
#%define        relver %(echo %version | cut -d. -f 3)

Name:          foomatic-db-nonfree
Version:       20200220
Release:       1mamba
Summary:       Manufacturer-supplied PPD files released under non-free licenses
Group:         System/Spooling
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
Source0:       http://www.openprinting.org/download/foomatic/foomatic-db-nonfree-%{version}.tar.gz
URL:           http://www.openprinting.org/foomatic.html
License:       no OSI Approved
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: hplip-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: ghostscript-devel
BuildRequires: libcups-devel >= 1.1.20
Requires:      hplip >= 0.9.7
Requires:      gutenprint
Requires:      foo2zjs
Requires:      libpoppler-tools
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
Foomatic database extension consisting of manufacturer-supplied PPD files released under non-free licenses which restricts them in how they can get redistributed.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

#%post
#if [ $1 -ge 1 ]; then
#   rm -f /var/cache/foomatic/*/*
#   if [ -d /var/cache/foomatic/compiled ]; then
#      foomatic-combo-xml -O >/var/cache/foomatic/compiled/overview.xml
#   fi
#fi
#:

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_datadir}/foomatic/db/source/driver/*.xml
%{_datadir}/foomatic/db/source/PPD/*

%changelog
* Thu Feb 20 2020 Automatic Build System <autodist@mambasoft.it> 20200220-1mamba
- automatic version update by autodist

* Thu Nov 28 2019 Automatic Build System <autodist@mambasoft.it> 20191127-1mamba
- automatic version update by autodist

* Thu Oct 24 2019 Automatic Build System <autodist@mambasoft.it> 20191024-1mamba
- automatic version update by autodist

* Wed Aug 28 2019 Automatic Build System <autodist@mambasoft.it> 20190828-1mamba
- automatic version update by autodist

* Wed May 29 2019 Automatic Build System <autodist@mambasoft.it> 20190529-1mamba
- automatic version update by autodist

* Mon Apr 08 2019 Automatic Build System <autodist@mambasoft.it> 20190408-1mamba
- automatic version update by autodist

* Tue Mar 12 2019 Automatic Build System <autodist@mambasoft.it> 20190312-1mamba
- automatic version update by autodist

* Fri Mar 01 2019 Automatic Build System <autodist@mambasoft.it> 20190301-1mamba
- automatic version update by autodist

* Wed Feb 20 2019 Automatic Build System <autodist@mambasoft.it> 20190219-1mamba
- automatic version update by autodist

* Wed Sep 05 2018 Automatic Build System <autodist@mambasoft.it> 20180905-1mamba
- automatic version update by autodist

* Mon Sep 03 2018 Automatic Build System <autodist@mambasoft.it> 20180903-1mamba
- automatic version update by autodist

* Tue Jul 10 2018 Automatic Build System <autodist@mambasoft.it> 20180710-1mamba
- automatic version update by autodist

* Tue Jun 05 2018 Automatic Build System <autodist@mambasoft.it> 20180605-1mamba
- automatic version update by autodist

* Sat Mar 10 2018 Automatic Build System <autodist@mambasoft.it> 20180310-1mamba
- automatic version update by autodist

* Sat Dec 16 2017 Automatic Build System <autodist@mambasoft.it> 20171216-1mamba
- automatic update by autodist

* Tue Dec 12 2017 Automatic Build System <autodist@mambasoft.it> 20171212-1mamba
- automatic update by autodist

* Fri Dec 08 2017 Automatic Build System <autodist@mambasoft.it> 20171208-1mamba
- automatic update by autodist

* Mon Dec 04 2017 Automatic Build System <autodist@mambasoft.it> 20171203-1mamba
- automatic update by autodist

* Thu Nov 30 2017 Automatic Build System <autodist@mambasoft.it> 20171129-1mamba
- automatic update by autodist

* Mon Nov 20 2017 Automatic Build System <autodist@mambasoft.it> 20171120-1mamba
- automatic update by autodist

* Thu Sep 14 2017 Automatic Build System <autodist@mambasoft.it> 20170914-1mamba
- automatic version update by autodist

* Sat Jan 07 2017 Automatic Build System <autodist@mambasoft.it> 20170106-1mamba
- automatic version update by autodist

* Wed Oct 05 2016 Automatic Build System <autodist@mambasoft.it> 20161005-1mamba
- automatic version update by autodist

* Tue Sep 20 2016 Automatic Build System <autodist@mambasoft.it> 20160919-1mamba
- automatic update by autodist

* Sun Sep 04 2016 Automatic Build System <autodist@mambasoft.it> 20160904-1mamba
- automatic version update by autodist

* Sat Aug 27 2016 Automatic Build System <autodist@mambasoft.it> 20160826-1mamba
- automatic version update by autodist

* Tue Jun 07 2016 Automatic Build System <autodist@mambasoft.it> 20160606-1mamba
- automatic version update by autodist

* Wed May 11 2016 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 20160511-1mamba
- update to 20160511

* Mon Oct 26 2015 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 20150819-1mamba
- update to 20150819

* Thu May 07 2015 Automatic Build System <autodist@mambasoft.it> 20150415-1mamba
- automatic update by autodist

* Tue Mar 03 2015 Automatic Build System <autodist@mambasoft.it> 20150214-1mamba
- automatic update by autodist

* Sat Nov 01 2014 Automatic Build System <autodist@mambasoft.it> 20141029-1mamba
- automatic update by autodist

* Mon Oct 27 2014 Automatic Build System <autodist@mambasoft.it> 20141027-1mamba
- automatic update by autodist

* Wed Oct 22 2014 Automatic Build System <autodist@mambasoft.it> 20141022-1mamba
- automatic update by autodist

* Fri Oct 17 2014 Automatic Build System <autodist@mambasoft.it> 20141017-1mamba
- automatic update by autodist

* Sat Oct 11 2014 Automatic Build System <autodist@mambasoft.it> 20141011-1mamba
- automatic version update by autodist

* Sat Sep 20 2014 Automatic Build System <autodist@mambasoft.it> 20140920-1mamba
- automatic update by autodist

* Sat Aug 09 2014 Automatic Build System <autodist@mambasoft.it> 20140809-1mamba
- automatic update by autodist

* Sun Jul 20 2014 Automatic Build System <autodist@mambasoft.it> 20140720-1mamba
- automatic version update by autodist

* Fri Jul 18 2014 Automatic Build System <autodist@mambasoft.it> 20140717-1mamba
- automatic update by autodist

* Sun Jun 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 20140617-1mamba
- update to 20140617

* Sat Feb 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 20140201-1mamba
- update to 20140201

* Sat Sep 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 20120929-1mamba
- update to 20120929

* Wed Aug 08 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20120808-1mamba
- update to 4.0.20120808

* Thu Feb 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20120216-1mamba
- update to 4.0.20120216

* Sat Dec 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20091205-1mamba
- update to 4.0.20091205
- split from foomatic package

* Tue Dec 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20091201-1mamba
- update to 4.0.20091201
- added requirement for libpoppler-tools

* Tue Jun 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20090616-1mamba
- update to 4.0.20090616

* Thu May 14 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.20090514-1mamba
- update to 4.0.20090514

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20080608-2mamba
- automatic rebuild by autodist

* Mon Jun 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20080608-1mamba
- update to 3.0.20080608
- excluded gutenprint drivers definition files gutenprint.xml and gutenprint52.xml

* Thu Mar 27 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20080327-1mamba
- update to 3.0.20080327

* Tue Mar 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20080325-1mamba
- update to 3.0.20080325
- removed ppd from foomatic-filters-ppds

* Sun Oct 14 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.20071012-2mamba
- update to 3.0.20071012
- epoch incremented because of major release download (3.1 is unstable)
- removed lx x74 driver (it is partially supported by foomatic)

* Sun Mar 19 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.20060319-1qilnx
- update to version 20060319 by autospec
- removed foomatic-db sources from target package
- specfile architectural changes (build under single foomatic dir)
- fixed lxx74 driver packaging
- change versioning to include big version of foomatic (and increment epoch)
- patch Generic Postscript driver name so it works in KDE

* Wed Feb 22 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 20060221-2qilnx
- add a patch to fix a perl error on DB.pm

* Tue Feb 21 2006 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 20060221-1qilnx
- update to version 20060221 by autospec

* Thu Jan 26 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 20060126-1qilnx
- update to version 20060126 by autospec
- fixed %pre script (ad exit 0 to the end)

* Thu Nov 24 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 20051124-1qilnx
- update to version 20051124 by autospec

* Tue Aug 30 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 20050830-1qilnx
- update to version 20050830 by autospec

* Mon May 02 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 20050502-1qilnx
- new version build

* Tue Oct 12 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 20040926-2qilnx
- added missing symlinks in /usr/lib/cups/filters, ppr/lib, ppr/interfaces

* Mon Sep 27 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 20040926-1qilnx
- new drivers version build
- added lxx74 drivers for Lexmark printers

* Wed Aug 11 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 20040811-1qilnx
- new version build

* Fri May 21 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 20040521-1qilnx
- first build
